Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessInstance.NodeInstanceContent, JBPMMessages.ProcessInstance.NodeInstanceContent.Builder

Enclosing class:
  JBPMMessages.ProcessInstance

    public static interface JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `getComposite()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder` | `getCompositeOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode` | `getEvent()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder` | `getEventOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `getForEach()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder` | `getForEachOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `getHumanTask()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder` | `getHumanTaskOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `getJoin()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder` | `getJoinOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `getMilestone()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder` | `getMilestoneOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getRuleSet()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder` | `getRuleSetOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `getState()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder` | `getStateOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode` | `getSubProcess()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder` | `getSubProcessOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode` | `getTimer()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder` | `getTimerOrBuilder()`
`JBPMMessages.ProcessInstance.NodeInstanceType` | `getType()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode` | `getWorkItem()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder` | `getWorkItemOrBuilder()`
`boolean` | `hasComposite()`
`boolean` | `hasEvent()`
`boolean` | `hasForEach()`
`boolean` | `hasHumanTask()`
`boolean` | `hasJoin()`
`boolean` | `hasMilestone()`
`boolean` | `hasRuleSet()`
`boolean` | `hasState()`
`boolean` | `hasSubProcess()`
`boolean` | `hasTimer()`
`boolean` | `hasType()`
`boolean` | `hasWorkItem()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasType

    boolean hasType()

### getType

    JBPMMessages.ProcessInstance.NodeInstanceType getType()

### hasRuleSet

    boolean hasRuleSet()

### getRuleSet

    JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getRuleSet()

### getRuleSetOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder getRuleSetOrBuilder()

### hasHumanTask

    boolean hasHumanTask()

### getHumanTask

    JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode getHumanTask()

### getHumanTaskOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder getHumanTaskOrBuilder()

### hasWorkItem

    boolean hasWorkItem()

### getWorkItem

    JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode getWorkItem()

### getWorkItemOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder getWorkItemOrBuilder()

### hasSubProcess

    boolean hasSubProcess()

### getSubProcess

    JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode getSubProcess()

### getSubProcessOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder getSubProcessOrBuilder()

### hasMilestone

    boolean hasMilestone()

### getMilestone

    JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode getMilestone()

### getMilestoneOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder getMilestoneOrBuilder()

### hasEvent

    boolean hasEvent()

### getEvent

    JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode getEvent()

### getEventOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder getEventOrBuilder()

### hasTimer

    boolean hasTimer()

### getTimer

    JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode getTimer()

### getTimerOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder getTimerOrBuilder()

### hasJoin

    boolean hasJoin()

### getJoin

    JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode getJoin()

### getJoinOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder getJoinOrBuilder()

### hasState

    boolean hasState()

### getState

    JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode getState()

### getStateOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder getStateOrBuilder()

### hasComposite

    boolean hasComposite()

### getComposite

    JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode getComposite()

### getCompositeOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder getCompositeOrBuilder()

### hasForEach

    boolean hasForEach()

### getForEach

    JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode getForEach()

### getForEachOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder getForEachOrBuilder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.